<!doctype html>
<html lang="en">
    <head>

        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <link rel="icon" href="img/favicon.svg" sizes="any" type="image/svg+xml">
        
        <link rel="stylesheet" type="text/css" href="css/app.css">
        
        <!-- Boostrap CSS -->
        <link rel="stylesheet" type="text/css" href="3rd/css/bootstrap.min.css">
        <link rel="stylesheet" type="text/css" href="3rd/css/daterangepicker.css" />
        
        <!-- Fontawesome CSS -->
        <link rel="stylesheet" type="text/css" href="3rd/css/fontawesome.css"/>

        <title>Lightmeter ControlCenter</title>
    </head>

    <body onload="drawDashboard()">
    
        <header>
            <div class="navbar">
                <div class="container d-flex justify-content-between">
                    <a class="logo navbar-brand d-flex align-items-center" href="/" title="Home">
                        <img src="img/logo-color-120.png" alt="Lightmeter logo" />
                    </a>
                    <span class="buttons">
                        <i class="fas fa-info-circle" data-toggle="modal" data-target="#settingsModal"></i>
                    </span>
                        
                    <!-- Settings modal -->
                    <div class="modal fade" id="settingsModal" tabindex="-1" role="dialog" aria-labelledby="settingsModalLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="settingsModalLabel">About</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    Lightmeter Control Center
                                    <br/>
                                    <span id="release-info"></span>
                                    <br/>
                                    <br/>
                                    <ul>
                                        <li><a href="https://lightmeter.io/?pk_campaign=lmcc&pk_source=webui" target="_blank">Website</a></li>
                                        <li><a href="https://gitlab.com/lightmeter" target="_blank">GitLab</a></li>
                                        <li><a href="https://phplist.lightmeter.io/lists/?p=subscribe&id=1" target="_blank">Newsletter</a></li>
                                        <li><a href="https://twitter.com/lightmeterio" target="_blank">Twitter</a></li>
                                        <li><a href="https://mastodon.social/@lightmeter/" target="_blank">Mastodon</a></li>
                                    </ul>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                </div>
                            </div>
                        </div>
                    </div>
                        
                </div>
            </div>
        </header>
        
            <div class="container main-content">
                <div class="row justify-content-end align-items-center time-interval">
                    <label for="time-interval-field" class="col-2 col-form-label">Time interval:</label>
                    <div class="col-3">
                        <div id="time-interval-field" style="background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc; width: 100%; text-align: right;">
                            <span></span>&nbsp;&nbsp;<i class="fa fa-calendar" onclick="_paq.push(['trackEvent', 'About', 'clickHeaderButton']);"></i>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <h5 class="row-title">Status</h5>
                    </div>
                </div>
                <div class="row">
                    
                    <div class="col-4">
                        <div class="card">
                            <div class="card-header">
                                Delivery attempts
                            </div>
                            <div class="card-body">
                                    <div class="dashboard-gadget" id='deliveryStatus'></div>
                            </div>
                        </div>
                    </div>
                    <div class="col-8">
                        <div class="card">
                            <div class="card-header">
                            
                                <ul class="nav nav-tabs card-header-tabs" id="overview-graphs" role="tablist">
                                    <li class="nav-item">
                                        <a class="nav-link active" href="#busiest-domains" role="tab" aria-controls="busiest-domains" aria-selected="true">Busiest domains</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link" href="#bounced-domains" role="tab" aria-controls="bounced-domains" aria-selected="false">Bounced domains</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link" href="#deferred-domains" role="tab" aria-controls="deferred-domains" aria-selected="false">Deferred domains</a>
                                    </li>
                                </ul>
                            </div>
                            <div class="card-body">
                                
                                <div id="basic-graphs-area" class="tab-content mt-3">
                                    <div class="tab-pane active" id="busiest-domains" role="tabpanel">
                                        <div class="dashboard-gadget" id='topBusiestDomains'></div>
                                    </div>
                                    
                                    <div class="tab-pane" id="bounced-domains" role="tabpanel" aria-labelledby="bounced-domains-tab">    
                                        <div class="dashboard-gadget" id='topBouncedDomains'></div>
                                    </div>
                                    
                                    <div class="tab-pane" id="deferred-domains" role="tabpanel" aria-labelledby="deferred-domains-tab">
                                        <div class="dashboard-gadget" id='topDeferredDomains'></div>
                                    </div>
                                </div>
                            </div>
                            
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12">
                        <h5 class="row-title">Insights</h5>
                    </div>
                </div>
                <div class="row insights">
                    <div class="col-6">
                        <div class="card">
                            <div class="row">
                                <div class="col-1 gradient-bg">
                                </div>
                                <div class="col-11">
                                    <div class="card-block">
                                        <h6 class="card-title">Welcome to Lightmeter</h6>
                                        <p class="card-text">Thanks for trying this Alpha release of Lightmeter Control Center - enjoy your stay</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-6">
                        <div class="card">
                            <div class="row">
                                <div class="col-1 gradient-bg">
                                </div>
                                <div class="col-11">
                                    <div class="card-block">
                                        <h6 class="card-title">Inroduction to insights</h6>
                                        <p class="card-text">Here you'll find useful information about your mail activity in future releases</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
        <footer>
            <div class="container">
                <p class="float-right">
                    &bull; 
                    <a href=" mailto:hello@lightmeter.io?subject=Feedback%20on%20Lightmeter%20Control%20Center" onclick="_paq.push(['trackEvent', 'Feedback', 'clickMailTo']);" target="_blank">Feedback</a>
                </p>
                <p>Thank you for using Lightmeter. &copy; <script>document.write(new Date().getFullYear())</script>. <a href="https://lightmeter.io/privacy-policy/" target="_blank">Privacy Policy</a></p>
            </div>
        </footer>
        
        <!-- Boostrap dependencies -->
        <script type="text/javascript" src="3rd/js/jquery-3.4.1.slim.min.js"></script>
        <script type="text/javascript" src="3rd/js/popper.min.js"></script>
        <script type="text/javascript" src="3rd/js/bootstrap.min.js"></script>
        
        <!-- Other 3rd party dependencies -->
        <script type="text/javascript" src='3rd/js/plotly.min.js'></script>
        <script type="text/javascript" src="3rd/js/moment.min.js"></script>
        <script type="text/javascript" src="3rd/js/daterangepicker.min.js"></script>
        
        <!-- App scripts -->
        <script type="text/javascript" src='js/app.js'></script>
        
        <!-- Lightmeter-hosted Matomo analytics -->
        <script type="text/javascript">
        var _paq = window._paq || [];
        // TODO: make version dynamic from JS
        _paq.push(['setCustomDimension', 1, '0.0.2']);
        _paq.push(['trackPageView']);
        _paq.push(['enableLinkTracking']);
        (function() {
            var u="https://matomo.lightmeter.io/";
            _paq.push(['setTrackerUrl', u+'matomo.php']);
            _paq.push(['setSiteId', '3']);
            var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
            g.type='text/javascript'; g.async=true; g.defer=true; g.src=u+'matomo.js'; s.parentNode.insertBefore(g,s);
        })();
        </script>
        <noscript><p><img src="https://matomo.lightmeter.io/matomo.php?idsite=3&amp;rec=1" style="border:0;" alt="" /></p></noscript>

    </body>
</html>
